CUDA Driver API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.1. CUaccessPolicyWindow Struct Reference

## [Data types used by CUDA driver]

Specifies an access policy for a window, a contiguous extent of memory beginning at base_ptr and ending at base_ptr + num_bytes. num_bytes is limited by CU_DEVICE_ATTRIBUTE_MAX_ACCESS_POLICY_WINDOW_SIZE. Partition into many segments and assign segments such that: sum of "hit segments" / window == approx. ratio. sum of "miss segments" / window == approx 1-ratio. Segments and ratio specifications are fitted to the capabilities of the architecture. Accesses in a hit segment apply the hitProp access policy. Accesses in a miss segment apply the missProp access policy.

### Public Variables

void * base_ptr
CUaccessProperty hitProp
float hitRatio
CUaccessProperty missProp
size_t num_bytes

### Variables

void * CUaccessPolicyWindow::base_ptr [inherited]

  Starting address of the access policy window. CUDA driver may align it.

CUaccessProperty CUaccessPolicyWindow::hitProp [inherited]

  CUaccessProperty set for hit.

float CUaccessPolicyWindow::hitRatio [inherited]

  hitRatio specifies percentage of lines assigned hitProp, rest are assigned missProp.

CUaccessProperty CUaccessPolicyWindow::missProp [inherited]

  CUaccessProperty set for miss. Must be either NORMAL or STREAMING

size_t CUaccessPolicyWindow::num_bytes [inherited]

  Size in bytes of the window policy. CUDA driver may restrict the maximum size and alignment.